Name: perl-Text-Aspell
Version: 0.04
Release: 2.ker.rhel4
Summary: Perl interface to the GNU Aspell library.
License: Distributable
Group: Development/Libraries
URL: http://search.cpan.org/search?mode=module&query=Aspell
Source0: Text-Aspell-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: perl-Aspell

%description
This module provides a Perl interface to the GNU Aspell library. The GNU
Aspell library provides access to system spelling libraries, including a
spell checker. This module is to meet the need of looking up many words,
one at a time, in a single session.

This is a Perl xs interface which should provide good performance
compared to forking the aspell program for every word.

%prep
%setup -q -n Text-Aspell-%{version} 

%build
echo | CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
#make test

%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > Text-Aspell-%{version}-filelist
if [ "$(cat Text-Aspell-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Text-Aspell-%{version}-filelist
%defattr(-,root,root)

%changelog
* Wed Feb 23 2005 Milan Kerslager <kerslage@linux.cz> 0.04-2.ker.rhel4
- rebuild for RHEL4

* Sun Feb 15 2004 Milan Kerslager <kerslage@linux.cz> 0.04-2.ker.rhel3
- obsoletes for perl-Aspell (previous name of this package)

* Sat Feb 14 2004 Milan Kerslager <kerslage@linux.cz> 0.04-1.ker.rhel3
- update & rebuild for RHEL3

* Fri Oct  3 2003 Milan Kerslager <kerslage@linux.cz> 0.03-1
- initial version
